Summary: Linux driver for USB DSL modems
Name: ueagle-atm
Version: 1.1
Release: 3.7%{?dist}
License: GPL
Group: System Environment/Base
Source0: ueagle-data-%{version}.tar.gz
Source1: sagem_install
Source2: ifcfg-ppp0.sagem
Source3: ueagle-atm.rules

URL: http://atm.eagle-usb.org
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: adiusbadsl, eagle, eagle-usb, hproxy

%description
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

%package tools
Summary: Utilities for the Eagle USB DSL modems
Group: System Environment/Base
Requires: ppp
Requires: system-config-adsl
Requires: ueagle-atm-firmware
Obsoletes: eagle-usb-tools, hproxy

%description tools
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

This package contains tools needed to use the Sagem modems in Aurox 
installations.

%package firmware
Summary: DSP microcode for the Eagle USB DSL modems
Group: System Environment/Base
License: Distributable
Obsoletes: eagle-usb-dsp

%description firmware
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

This package contains the microcode (firmware) that Eagle-based USB modems need.


%prep
%setup -q -n ueagle-data-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware/ueagle-atm
for file in *.bin *.fw; do
  install -m644 $file $RPM_BUILD_ROOT/lib/firmware/ueagle-atm/$file
done
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/adsl-manager-daemon/sagem/
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/adsl-manager-daemon/sagem_install
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/adsl-manager-daemon/sagem/
install -D -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/udev/rules.d/ueagle-atm.rules

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_tmppath}/linux-%{kversion}-%{krelver}

%files tools
%defattr(0644,root,root)
%{_datadir}/adsl-manager-daemon/sagem/*
%attr(0755,root,root) %{_datadir}/adsl-manager-daemon/sagem_install
%attr(0755,root,root) /etc/udev/rules.d/ueagle-atm.rules

%files firmware
%defattr(0644,root,root)
%dir /lib/firmware/ueagle-atm
/lib/firmware/ueagle-atm/*

%changelog
* Thu Jun 08 2006 Rafal Kwasny <rkwasny@aurox.org> 1.2-1
- drop out hproxy

* Thu Jun 08 2006 Rafal Kwasny <rkwasny@aurox.org> 1.1-1
- upgrade to 1.1
- rebuild for aurox 12.0

* Thu Feb 02 2006 Karol Kozimor <kkozimor@aurox.org> 1.0-11.1.aur.1
- initial release, replace eagle-usb

